#ifndef MAINWINDOW_H
#define MAINWINDOW_H

#include <QMainWindow>

#include <qwt_legend.h>
#include <qwt_polar_grid.h>
#include <qwt_polar_curve.h>
#include <qwt_polar_panner.h>
#include <qwt_polar_magnifier.h>

namespace Ui {
class MainWindow;
}

class MainWindow : public QMainWindow
{
    Q_OBJECT
    
public:
    explicit MainWindow(QWidget *parent = 0);
    ~MainWindow();
    
private:
    Ui::MainWindow *ui;

    QwtLegend *leg;
    QwtPolarGrid *grid;
    QwtPolarCurve *curv1,*curv2;

    QwtPolarPanner *pan;
    QwtPolarMagnifier *zoom;
};

#endif // MAINWINDOW_H
